--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Dataset class for Firebird datasets
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_TRUE
  value: "'1'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_FALSE
  value: "'0'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: "NULL"
  value: LiteralString.new('NULL').freeze
- !ruby/object:RI::Constant 
  comment: 
  name: COMMA_SEPARATOR
  value: "', '.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SELECT_CLAUSE_METHODS
  value: clause_methods(:select, %w'with distinct limit columns from join where group having compounds order')
full_name: Sequel::Firebird::Dataset
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: fetch_rows
- !ruby/object:RI::MethodSummary 
  name: insert
- !ruby/object:RI::MethodSummary 
  name: insert_returning_pk_sql
- !ruby/object:RI::MethodSummary 
  name: insert_returning_sql
- !ruby/object:RI::MethodSummary 
  name: insert_select
- !ruby/object:RI::MethodSummary 
  name: requires_sql_standard_datetimes?
- !ruby/object:RI::MethodSummary 
  name: select_clause_methods
- !ruby/object:RI::MethodSummary 
  name: select_limit_sql
- !ruby/object:RI::MethodSummary 
  name: supports_intersect_except?
name: Dataset
superclass: Sequel::Dataset
